{
  description = "NixOS Test VM Flake";

  # To update all inputs:
  # $ nix flake update --recreate-lock-file
  # (rei: think this may now be nix flake lock)
  inputs = {
    nix.url = "github:NixOS/nix/2.7.0";
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-21.11";

    # Useful for arch-independent flakes
    flake-utils.url =  "github:numtide/flake-utils";

    hallo.url = "path:..";
  };

  outputs = { ... } @ args: import ./outputs.nix args;
}
