{ self,
  nix,
  nixpkgs,
  flake-utils,
  hallo
}:

(
  flake-utils.lib.eachDefaultSystem (system: let
    pkgs = nixpkgs.legacyPackages.${system};
    in {
      # This lets you type `nix develop` to get needed tools.
      #devShell = pkgs.callPackage ./shell.nix {};
      # TODO figure this out devShells.${system}.default = pkgs.callPackage ./shell.nix {};
    }
  )
) // {
  nixosConfigurations = {
    testvm = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        {
          nix.nixPath = [
            "nixpkgs=${nixpkgs}"
          ];
          nix.registry = {
            nixpkgs.flake = nixpkgs;
          };
        }
        # TODO: How to specify the system in just one place? rec?
        hallo.nixosModules."x86_64-linux".halloSvc
        ./nixos_config.nix
      ];
    };
  };
}
